ammo = {}
ammo.isdown = 0
ammo.amount = 100
ammo.id = 0
ammo.col = 0
ammoSprite = love.graphics.newImage("sprites/bullet.png")

function ammo.spawn(x, y, angle)
	table.insert(ammo, {x = x, y = y, angle = angle, xvel = 0, yvel = 0, bullet = collider:addCircle(0, 0, 8), reverseTb = 0, rem = 0, reverseSide = 0})
end

function ammo.update(dt)
	for i,v in ipairs(ammo) do
		if v.id == nil then
			v.id = ammo.id
			ammo.id = ammo.id + 1
		end

		v.bullet.type = v.id
		v.xvel = v.xvel + 12000 * dt * math.cos(v.angle)
		v.yvel = v.yvel + 12000 * dt * math.sin(v.angle)
		if v.reverseTb == 0 then
			v.y = v.y + v.yvel * dt
		elseif v.reverseTb == 1 then
			v.y = v.y - v.yvel * dt
		end

		if v.reverseSide == 0 then
			v.x = v.x + v.xvel * dt
		elseif v.reverseSide == 1 then
			v.x = v.x - v.xvel * dt
		end


		v.bullet:moveTo(v.x + 8, v.y + 8)
		v.xvel = v.xvel * (1- math.min(dt * 9.5, 1))
		v.yvel = v.yvel * (1- math.min(dt * 9.5, 1))

		timer.add(2, function() collider:remove(v.bullet) v.rem = 1 end)

	end
end

function ammo.draw()
	for i,v in ipairs(ammo) do
		if v.rem == 0 then
			love.graphics.setColor(255,255,255)
			love.graphics.draw(ammoSprite, v.x, v.y)
			love.graphics.setColor(255,0,0)
			love.graphics.setLineWidth(2)
			v.bullet:draw('line')

		end
	end
end

function ammo.updateFire()
	if love.mouse.isDown('l') and ammo.isdown == 0 and ammo.amount > 0 then
		ammo.amount = ammo.amount - 1
		ammo.isdown = 1
		ammo.spawn(movement.x, movement.y, rotcalc.angle)
	elseif not love.mouse.isDown('l') and ammo.isdown == 1 then
		ammo.isdown = 0
	end
end