box = {}

function box.spawn(x, y, w, h, r, g, b)	
	table.insert(box, {x = x, y = y, w = w, h = h, r = r, g = g, b = b})
end

function box.set()

	for i,v in ipairs(box) do
		v.bounds = {}

		v.bounds.top = collider:addRectangle(v.x, v.y, v.w, 12)
		v.bounds.bottom = collider:addRectangle(v.x, (v.y + v.h) - 12 , v.w, 12)
		v.bounds.left = collider:addRectangle(v.x, v.y, 12, v.h) 
		v.bounds.right = collider:addRectangle((v.x + v.w) - 12 , v.y, 12, v.h)

		v.bounds.top.type = "boundsTb"
		v.bounds.bottom.type = "boundsTb"
		v.bounds.left.type = "boundsSide"
		v.bounds.right.type = "boundsSide"

		v.boxLighting = lighting.newRectangle(v.x + v.w / 2, v.y + v.h / 2, v.w + 1, v.h + 1)
	end

end

function box.draw()
	for i,v in ipairs(box) do
		love.graphics.setColor(v.r ,v.g ,v.b)
		love.graphics.rectangle('fill', v.x, v.y, v.w, v.h)
		love.graphics.setLineWidth(8)
		love.graphics.setColor(255 ,255 ,255)
		love.graphics.rectangle('line', v.x + 4, v.y + 4, v.w - 8, v.h - 8)
	end
end