hardonCollide = require "hardoncollider"
timer = require "timer"
vec = require "vector"
require "lvs/light"
require "lvs/postshader"
require "camera"
require "player"
require "ammo"
require "collision"
require "box"

tempcheck = 0
collided = 0

font = {}
font.lovelo = love.graphics.setNewFont("Fonta5.ttf", 30)
font.lovelox = 10
font.loveloy = love.graphics.getHeight() - 1
font.loveloopc = 255

powerupVis = 0

pos = {}

function love.load()
	playerInit()

	-- Define collider

	collider = hardonCollide(100, onCollide)

	-- Background init

	background = love.graphics.newImage("BG.png")
	pointercalc = {}
	bounds = {}

	player = collider:addCircle(movement.x, movement.y, 30)
	player.type = "player"

	-- Test powerup thingy

	ammoPowerup = collider:addCircle(200, 200, 15)
	ammoPowerup.type = "ammoPowerup"

	-- Screen Bounds

	bounds.left = collider:addRectangle(0, 0, 20, background:getHeight())
	bounds.right = collider:addRectangle(background:getWidth() - 20, 0, 20, background:getHeight())
	bounds.top = collider:addRectangle(0,0, background:getWidth(), 20)
	bounds.bottom = collider:addRectangle(0, background:getHeight() - 20, background:getWidth(), 20)
	bounds.left.type = "boundsSide"
	bounds.right.type = "boundsSide"
	bounds.top.type = "boundsTb"
	bounds.bottom.type = "boundsTb"
	collider:addToGroup("bounds", bounds.left, bounds.right, bounds.top, bounds.bottom)

	-- Lighting System

	lighting = love.light.newWorld()
	lighting.setAmbientColor(0, 82, 170, 100)
	lvs = {}
	lvs.playerLight = lighting.newLight(movement.x, movement.y, 0, 255, 144, 300)

	-- Box.lua spawn

	box.spawn(500, 500, 100, 100, 255, 0, 0)
	box.spawn(700, 700, 100, 100, 255, 0, 0)
	box.set()
end

function love.update(dt)

	lvs.playerLight.setPosition(movement.x, movement.y)
	playerUpdate(dt)
	player:moveTo(movement.x, movement.y)
	ammo.update(dt)
	collider:update()

	font.lovelox = camera.x + 40
	font.loveloy = camera.y + (love.graphics.getHeight() - 70)

	timer.update(dt)

	ammo.updateFire()
end

function love.draw()
	camera:set()

	lighting.setTranslation(camera.x, camera.y)

	lighting.update()


	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(background)
	love.graphics.setColor(51, 73, 69)
	bounds.left:draw('fill')
	bounds.right:draw('fill')
	bounds.top:draw('fill')
	bounds.bottom:draw('fill')
	playerDraw()

	-- Forground

	box.draw()
	if powerupVis == 0 then
		ammoPowerup:draw('fill')
	end
	ammo.draw()


	lighting.drawShadow()

	-- HUD and Player

	love.graphics.setColor(255, 255, 255)
	love.graphics.setFont(font.lovelo)
	love.graphics.print(ammo.amount .. "/100", font.lovelox, font.loveloy)

	lighting.drawShine()

	camera:unset()

end