function playerInit()

	movement = {}
	movement.x = 100
	movement.y = 100
	movement.yvel = 0
	movement.xvel = 0
	movement.friction = 9.5
	movement.speed = 4500
	rotcalc = {}
	rotcalc.x = nil
	rotcalc.y = nil
	rotcalc.allowed = 0
	rotcalc.angle = nil

	sprite = {}
	sprite.player = love.graphics.newImage("sprites/char.png")

end

function playerUpdate(dt)

	if rotcalc.allowed == 0 then
		rotcalc.x = love.mouse.getX() + camera.x - movement.x
		rotcalc.y = love.mouse.getY() + camera.y - movement.y
		rotcalc.angle = math.atan2(rotcalc.y,rotcalc.x)
	end

	rotcalc.difx = love.mouse.getX() - movement.x
	rotcalc.dify = love.mouse.getY() - movement.y
	
	if movement.x > (background:getWidth() - love.graphics.getWidth() / 2) then
		camera.xcheck = 1
	else
		camera.xcheck = 0
	end

	if movement.y > (background:getHeight() - love.graphics.getHeight() / 2) then
		camera.ycheck = 1
	else
		camera.ycheck = 0
	end

	if movement.x > love.graphics.getWidth() / 2 and camera.xcheck == 0 then
		camera.x = movement.x - love.graphics.getWidth() / 2
	elseif camera.xcheck == 1 then
		camera.x = background:getWidth() - love.graphics.getWidth()
	else
		camera.x = 0
	end

	if movement.y > love.graphics.getHeight() / 2 and camera.ycheck == 0 then
		camera.y = movement.y - love.graphics.getHeight() / 2
	elseif camera.ycheck == 1 then
		camera.y = background:getHeight() - love.graphics.getHeight()
	else
		camera.y = 0
	end

	movement.x = movement.x + movement.xvel * dt
	movement.y = movement.y + movement.yvel * dt
	
	movement.xvel = movement.xvel * (1- math.min(dt*movement.friction, 1))
	movement.yvel = movement.yvel * (1- math.min(dt*movement.friction, 1))

	if love.keyboard.isDown('w') then
		if rotcalc.difx > -13 and rotcalc.difx < 13 and rotcalc.dify > -13 and rotcalc.dify < 13 then
			print("Bypass Movement!")
		else
			rotcalc.allowed = 0
			movement.yvel = movement.yvel - movement.speed * dt
  		end
	end

	if love.keyboard.isDown('s') then
		if rotcalc.difx > -13 and rotcalc.difx < 13 and rotcalc.dify > -13 and rotcalc.dify < 13 then
			print("Bypass Movement!")
		else
			rotcalc.allowed = 0
			movement.yvel = movement.yvel + movement.speed * dt
  		end
	end

	if love.keyboard.isDown('a') then
		if rotcalc.difx > -13 and rotcalc.difx < 13 and rotcalc.dify > -13 and rotcalc.dify < 13 then
			print("Bypass Movement!")
		else
			rotcalc.allowed = 0
			movement.xvel = movement.xvel - movement.speed * dt
  		end
	end

	if love.keyboard.isDown('d') then
		if rotcalc.difx > -13 and rotcalc.difx < 13 and rotcalc.dify > -13 and rotcalc.dify < 13 then
			print("Bypass Movement!")
		else
			rotcalc.allowed = 0
			movement.xvel = movement.xvel + movement.speed * dt
  		end
	end

end

function playerDraw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(sprite.player, movement.x, movement.y, rotcalc.angle, 1, 1, 30, 30)
end